Bug 141191 - Crash when opening "Format trend line" dialog in gtk3
Summary: Crash when opening "Format trend line" dialog in gtk3
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-03-23 08:10 UTC by Samuel Mehrbrodt (allotropia)
Modified: 2021-03-24 19:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (allotropia) 2021-03-23 08:10:00 UTC
1. Open attachment 161310 [details]
2. Double click the upper chart
3. Right click on the red trend line
4. Select "Format Trend Line..."

Expected:
Dialog is shown

Actual:
LO crashes

Crash doesn't happen with "gen" plugin
Comment 1 Xisco Faulí 2021-03-23 08:29:20 UTC
Regression introduced by:

author	Samuel Mehrbrodt <samuel.mehrbrodt@allotropia.de>	2021-02-11 07:53:15 +0100
committer	Samuel Mehrbrodt <samuel.mehrbrodt@allotropia.de>	2021-02-22 07:36:21 +0100
commit	4141533a3fb984fbaefe87b15fceeda7f2082061 (patch)
tree	46b7dc9e659033666cdef2275ec283dd2de8fd96
parent	c40ce0c542b46d45a00561a926953df2fe9a9762 (diff)
[API CHANGE] tdf#133423 Implement chart:regression-moving-type

Bisected with: bibisect-linux64-7.2
Comment 2 Samuel Mehrbrodt (allotropia) 2021-03-23 10:07:42 UTC
Not really a regression. I added a new widget to the dialog which makes it crash.

But the dialog works fine in other VCL backends, so I assume this just accidentally triggered some bug in the GTK backend.
Comment 3 Commit Notification 2021-03-24 19:37:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4f28ca3e16de71e279fc54cd4a95e8181479c263

tdf#141191 use plain GtkComboBoxText for standard case

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.